> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cynopsis.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Customer Related Party (CRP)

This endpoint deletes a **Customer Related Party (CRP)** associated with a **Primary Customer**.

***

## Path Parameters

* **`customerId`** — The **Primary Customer's ID**.
  * Retrieve from [Step 3b — Get a Single Primary Customer](../customer-comprehensive/3b-get-single-primary-customer).

* **`crpId`** — The **Customer Related Party ID** to be deleted.
  * Retrieve from the Primary Customer’s CRP list (e.g. via *Get Customer with CRPs* endpoint).

***

## Notes

* Only the specified **CRP** will be deleted.
* The **Primary Customer** will remain intact.

***

## Example (Batch Delete via Script)

```python theme={null}
import requests

base_url = "https://api.artemis.cynopsis.co/api/customer/{customerId}/crp/{crpId}"

headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <YOUR_TOKEN>",
    "X-Domain-ID": "<x-domain-id>"
}

customers = [
    ({customer_id}, {crpId})
]

for customerId, crpId in customers:
    url = base_url.format(customerId=customerId, crpId=crpId)
    print("Sending DELETE →", url)
    response = requests.delete(url, headers=headers)
    print("Status:", response.status_code)
```


## OpenAPI

````yaml DELETE /api/customer/{customerId}/crp/{crpId}
openapi: 3.1.0
info:
  description: Api Documentation
  version: '3.0'
  title: Api Documentation
  termsOfService: urn:tos
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api.artemis.cynopsis.co
security: []
tags:
  - name: app-config-controller
    description: App Config Controller
  - name: asia-verify-controller
    description: Asia Verify Controller
  - name: authentication-controller
    description: Authentication Controller
  - name: authentication-manager-controller
    description: Authentication Manager Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: comment-controller
    description: Comment Controller
  - name: customer-controller
    description: Customer Controller
  - name: dashboard-controller
    description: Dashboard Controller
  - name: domain-controller
    description: Domain Controller
  - name: expiring-document-controller
    description: Expiring Document Controller
  - name: hand-shake-controller
    description: Hand Shake Controller
  - name: media-controller
    description: Media Controller
  - name: on-going-due-diligent-controller
    description: On Going Due Diligent Controller
  - name: own-restricted-list-controller
    description: Own Restricted List Controller
  - name: periodic-review-controller
    description: Periodic Review Controller
  - name: quick-scan-controller
    description: Quick Scan Controller
  - name: user-controller
    description: User Controller
paths:
  /api/customer/{customerId}/crp/{crpId}:
    delete:
      tags:
        - customer-controller
      summary: Delete a Customer Related Party (CRP)
      operationId: deleteCustomerRelatedParty
      parameters:
        - name: customerId
          in: path
          required: true
          description: Primary Customer ID
          schema:
            type: integer
            example: 68
        - name: crpId
          in: path
          required: true
          description: Customer Related Party (CRP) ID
          schema:
            type: integer
            example: 31691
        - name: X-Domain-ID
          in: header
          required: true
          description: Domain identifier
          schema:
            type: string
            example: '1'
        - name: Authorization
          in: header
          required: true
          description: Bearer access token
          schema:
            type: string
            example: Bearer eyJhbGciOi...
      responses:
        '204':
          description: CRP deleted successfully
        '400':
          description: Invalid request parameters
        '401':
          description: Unauthorized - invalid or missing token
        '403':
          description: Forbidden - insufficient permissions
        '404':
          description: Customer or CRP not found
        '500':
          description: Internal server error

````